/v1/device/routing/ospfv2/area/nbr

Prev Next
Get
/v1/device/routing/ospfv2/area/nbr

Get OSPFv2 Area's Neighbors Information

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Query parameters
areaId
stringRequired

Valid configured Area ID

Example0.0.0.0
deviceId
integer (int64) Required

Valid configured device ID > 0

Example1000000
instanceName
string

Valid configured OSPF Instance name

ExampleOSPF1
vrfName
stringRequired

Valid configured VRF name

Exampledefault
Responses
200

OK

Expand All
object
nbrs
Array of object (routingOspfNbr)
object
address
string

v4 or v6 Address (required)

Example1.1.1.1
cost
integer (int32)

cost (required)

Minimum0
Example230
deadTimer
integer (int32)

Dead Timer (required)

Minimum0
Example40
lastStateChange
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
routerId
string

Router ID (required)

Example1.1.1.1
state
string

interface state (required)

Exampleup or down
pageInfo
object (commonPageInfo)
currentPage
integer (int32)

The page number we are currently on (required)

Minimum0
Example1
endCursor
string

Cursor pointing to the last record on the current page

Examplexxxxxxy
hasNextPage
boolean

An indicator whether there is a page after this one in the resultset based on current position

Exampletrue
hasPrevPage
boolean

An indicator whether there is a page before this one in the resultset based on current position

Exampletrue
startCursor
string

Cursor pointing to the first record on the current page

Examplexxxxxx
totalPages
integer (int32)

The number of pages in the complete resultset based on the current length of the page (required)

Minimum0
Example4
totalRecords
integer (int32)

Describes the total number of records in the complete resultset (required)

Minimum0
Example400
token
string

Reference to the resultset being queried, this should be sent by the service as part of a previous request and so can be opaque to the client.

Examplexxxxxxxxx